Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Interface SplitCharacter

All Known Implementing Classes:
  PdfChunk

    public interface SplitCharacter

Interface for customizing the split character.

Author:
  Paulo Soares (psoares@consiste.pt)

Method Summary
`boolean` | `isSplitCharacter(int start, int current, int end, char[] cc, PdfChunk[] ck)` Returns `true` if the character can split a line.

Method Detail

### isSplitCharacter

    boolean isSplitCharacter(int start,
                             int current,
                             int end,
                             char[] cc,
                             PdfChunk[] ck)

  Returns `true` if the character can split a line. The splitting implementation is free to look ahead or look behind characters to make a decision.

  The default implementation is:

       public boolean isSplitCharacter(int start, int current, int end, char[] cc, PdfChunk[] ck) {
          char c;
          if (ck == null)
              c = cc[current];
          else
              c = ck[Math.min(current, ck.length - 1)].getUnicodeEquivalent(cc[current]);
          if (c <= ' ' || c == '-') {
              return true;
          }
          if (c < 0x2e80)
              return false;
          return ((c >= 0x2e80 && c < 0xd7a0)
          || (c >= 0xf900 && c < 0xfb00)
          || (c >= 0xfe30 && c < 0xfe50)
          || (c >= 0xff61 && c < 0xffa0));
       }

  Parameters:
    `start` - the lower limit of `cc` inclusive
    `current` - the pointer to the character in `cc`
    `end` - the upper limit of `cc` exclusive
    `cc` - an array of characters at least `end` sized
    `ck` - an array of `PdfChunk`. The main use is to be able to call `PdfChunk.getUnicodeEquivalent(char)`. It may be `null` or shorter than `end`. If `null` no convertion takes place. If shorter than `end` the last element is used
  Returns:
    `true` if the character(s) can split a line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD